import { FormType } from "@/components/form/interface";
import { UserDataType } from "@/model/userModel";
import { ColumnsType } from "antd/lib/table";
export const formConfig = [
  {
    type: FormType.input,
    label: "标签名称",
    name: "tag_name",
    value: "",
    rules: [{ required: true, message: "标签名称不能为空!" }],
  },
  {
    type: FormType.input,
    label: "标签描述",
    name: "tag_desc",
    value: "",
    rules: [{ required: true, message: "城市编码不能为空" }],
  },
  {
    type: FormType.input,
    label: "标签排序",
    name: "tag_sort",
    value: "1",
    rules: [{ required: true, message: "标签排序不能为空" }],
  },
];

export const columns: ColumnsType<UserDataType> = [
  {
    title: "标签名称",
    dataIndex: "tag_name",
    fixed: "left",
  },
  {
    title: "标签描述",
    dataIndex: "tag_desc",
  },
  {
    title: "标签排序",
    dataIndex: "tag_sort",
  },
];
