import { makeObservable } from "mobx";
import BaseStore from "./baseStore";
import { UserDataType } from "@/model/userModel";
import { SkuConfig } from "@/service/config";

class SkuStore extends BaseStore<UserDataType> {
    constructor() {
        super(SkuConfig)
        makeObservable(this, {})
    }
}
const skuStore = new SkuStore();
export default skuStore;