import { FormType } from "@/components/form/interface";
import { UserDataType } from "@/model/userModel";
import { ColumnsType } from "antd/lib/table";
export const formConfig = [
  {
    type: FormType.input,
    label: "规格名称",
    name: "spec_name",
    value: "",
    rules: [{ required: true, message: "规格名称不能为空!" }],
  },
  {
    type: FormType.input,
    label: "规格描述",
    name: "spec_remark",
    value: "",
  },
  {
    type: FormType.inputNumber,
    label: "规格排序",
    name: "spec_sort",
    value: "1",
  },
];

export const columns: ColumnsType<UserDataType> = [
  {
    title: "规格名称",
    dataIndex: "spec_name",
    fixed: "left",
  },
  {
    title: "规格描述",
    dataIndex: "spec_remark",
  },
  {
    title: "规格排序",
    dataIndex: "spec_sort",
  },
];
