
import { makeObservable } from "mobx";
import BaseStore from "./baseStore";
import { UserDataType } from "@/model/userModel";
import { Orderconfig } from "@/service/config";

class OrderStore extends BaseStore<UserDataType> {
    constructor() {
        super(Orderconfig)
        makeObservable(this, {})
    }
}
const orderStore = new OrderStore();
export default orderStore;
