import { makeObservable } from "mobx";
import BaseStore from "./baseStore";
import { UserDataType } from "@/model/userModel";
import { SkuCatConfig } from "@/service/config";

class SkuCatStore extends BaseStore<UserDataType> {
    constructor() {
        super(SkuCatConfig)
        makeObservable(this, {})
    }
}
const skuCatStore = new SkuCatStore();
export default skuCatStore;