import { makeObservable } from "mobx";
import BaseStore from "./baseStore";
import { UserDataType } from "@/model/userModel";
import { SpecConfig } from "@/service/config";

class SkuSpecStore extends BaseStore<UserDataType> {
    constructor() {
        super(SpecConfig)
        makeObservable(this, {})
    }
}
const skuSpecStore = new SkuSpecStore();
export default skuSpecStore;